#include "modules/ncds.h"
#include "warp.h"
#include "script.h"
#include "data.h"

void warp_execute(VG_WARP * wp)
{
	int i;
	
	vg_last_warp.dx = wp->dx;
	vg_last_warp.dy = wp->dy;
	vg_last_warp.ds = wp->ds;
	update_collision_map(&vg_player.sprite.cmap[vg_player.sprite.state], fixtoi(vg_player.sprite.x), fixtoi(vg_player.sprite.y));
	printf("executing warp\n");
	vg_script_append(wp->script);
}
